Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.auth
Class Authenticate

    java.lang.Object
      weblogic.security.auth.Authenticate

    public final class Authenticate

extends Object

Authenticate a user and add Principals to the Subject.

Constructor Summary
`Authenticate()`

Method Summary
`static void` | `authenticate(Environment env, Subject subject)` Execute a WebLogic Server client login using the supplied environment parameters; will populate the Subject with the appropriate Principals.
`static void` | `logout(Subject subject)` Remove Principals and credentials from the passed in Subject, effectively logging the user out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authenticate

    public Authenticate()

Method Detail

### authenticate

    public static void authenticate(Environment env,
                                    Subject subject)
                             throws LoginException,
                                    IOException,
                                    RemoteException

  Execute a WebLogic Server client login using the supplied environment parameters; will populate the Subject with the appropriate Principals.

  The authenticate() method is intended for use by fat clients to perform server-side authentication. Calling authenticate() via an RMI call from a client invokes server-side authentication, which then returns that Subject over RMI.

  If you are writing a custom LoginModule that you want to interact with WebLogic Server authentication, this is the method to call from within that LoginModule.

  Throws:
    `LoginException`
    `IOException`
    `RemoteException`

### logout

    public static void logout(Subject subject)
                       throws LoginException,
                              IOException,
                              RemoteException

  Remove Principals and credentials from the passed in Subject, effectively logging the user out.

  Throws:
    `LoginException`
    `IOException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD